<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsCalibratedData Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="struct_xs_calibrated_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsCalibratedData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Container for combined calibrated measurement data from accelerometers, gyroscopes and magnetometers.  
 <a href="struct_xs_calibrated_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a023bb1a6974daacb5aaf00770940613b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_calibrated_data.html#a023bb1a6974daacb5aaf00770940613b">XsCalibratedData</a> ()</td></tr>
<tr class="memdesc:a023bb1a6974daacb5aaf00770940613b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a023bb1a6974daacb5aaf00770940613b">More...</a><br /></td></tr>
<tr class="separator:a023bb1a6974daacb5aaf00770940613b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a796590b390aa04fdec19556c0c88a184"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a796590b390aa04fdec19556c0c88a184"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_calibrated_data.html#a796590b390aa04fdec19556c0c88a184">XsCalibratedData</a> (const <a class="el" href="struct_xs_calibrated_data.html">XsCalibratedData</a> &amp;other)</td></tr>
<tr class="memdesc:a796590b390aa04fdec19556c0c88a184"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor, copies the values from <em>other</em> to this. <br /></td></tr>
<tr class="separator:a796590b390aa04fdec19556c0c88a184"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a881c03e1dc165b0dd2b8253ed45f887a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a881c03e1dc165b0dd2b8253ed45f887a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_calibrated_data.html#a881c03e1dc165b0dd2b8253ed45f887a">~XsCalibratedData</a> ()</td></tr>
<tr class="memdesc:a881c03e1dc165b0dd2b8253ed45f887a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a881c03e1dc165b0dd2b8253ed45f887a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9db1969b4eb80bf8c65e033584aa8ea9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9db1969b4eb80bf8c65e033584aa8ea9"></a>
const <a class="el" href="struct_xs_calibrated_data.html">XsCalibratedData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_calibrated_data.html#a9db1969b4eb80bf8c65e033584aa8ea9">operator=</a> (const <a class="el" href="struct_xs_calibrated_data.html">XsCalibratedData</a> &amp;other)</td></tr>
<tr class="memdesc:a9db1969b4eb80bf8c65e033584aa8ea9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assignment operator, copies the values from <em>other</em> to this. <br /></td></tr>
<tr class="separator:a9db1969b4eb80bf8c65e033584aa8ea9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0ef6e8e1c6a45947d9f22fb662099a8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ef6e8e1c6a45947d9f22fb662099a8a"></a>
<a class="el" href="struct_xs_vector3.html">XsVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_calibrated_data.html#a0ef6e8e1c6a45947d9f22fb662099a8a">m_acc</a></td></tr>
<tr class="memdesc:a0ef6e8e1c6a45947d9f22fb662099a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accelerometer data. <br /></td></tr>
<tr class="separator:a0ef6e8e1c6a45947d9f22fb662099a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f4b43f84ccf007d18fb2eab9ffd1c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79f4b43f84ccf007d18fb2eab9ffd1c6"></a>
<a class="el" href="struct_xs_vector3.html">XsVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_calibrated_data.html#a79f4b43f84ccf007d18fb2eab9ffd1c6">m_gyr</a></td></tr>
<tr class="memdesc:a79f4b43f84ccf007d18fb2eab9ffd1c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gyroscope data. <br /></td></tr>
<tr class="separator:a79f4b43f84ccf007d18fb2eab9ffd1c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83ce26cb0140ac5d0fff6a8b14dd007d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83ce26cb0140ac5d0fff6a8b14dd007d"></a>
<a class="el" href="struct_xs_vector3.html">XsVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_calibrated_data.html#a83ce26cb0140ac5d0fff6a8b14dd007d">m_mag</a></td></tr>
<tr class="memdesc:a83ce26cb0140ac5d0fff6a8b14dd007d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Magnetometer data. <br /></td></tr>
<tr class="separator:a83ce26cb0140ac5d0fff6a8b14dd007d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:gab0f6206a9555aeb7b0531ee0a0f7f982"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gab0f6206a9555aeb7b0531ee0a0f7f982">XsCalibratedData_construct</a> (<a class="el" href="struct_xs_calibrated_data.html">XsCalibratedData</a> *, const XsReal *acc, const XsReal *gyr, const XsReal *mag)</td></tr>
<tr class="memdesc:gab0f6206a9555aeb7b0531ee0a0f7f982"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct an XsCalibratedData object. <br /></td></tr>
<tr class="separator:gab0f6206a9555aeb7b0531ee0a0f7f982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba56f16b16d32892d22e15007e4b8e5d"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaba56f16b16d32892d22e15007e4b8e5d">XsCalibratedData_destruct</a> (<a class="el" href="struct_xs_calibrated_data.html">XsCalibratedData</a> *)</td></tr>
<tr class="memdesc:gaba56f16b16d32892d22e15007e4b8e5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destruct an XsCalibratedData object. <br /></td></tr>
<tr class="separator:gaba56f16b16d32892d22e15007e4b8e5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Container for combined calibrated measurement data from accelerometers, gyroscopes and magnetometers. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a023bb1a6974daacb5aaf00770940613b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsCalibratedData::XsCalibratedData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gab0f6206a9555aeb7b0531ee0a0f7f982" title="Construct an XsCalibratedData object. ">XsCalibratedData_construct</a> </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
